echo -----------------------------------
echo Using pip to install Python %PY_VER% version of torch-sparse
IF "%PY_VER%" == "3.6" (
  set "wheel_url=https://pytorch-geometric.com/whl/torch-1.8.0+cu111/torch_sparse-0.6.10-cp36-cp36m-win_amd64.whl"
)
IF "%PY_VER%" == "3.7" (
  set "wheel_url=https://pytorch-geometric.com/whl/torch-1.8.0+cu111/torch_sparse-0.6.10-cp37-cp37m-win_amd64.whl"
)
IF "%PY_VER%" == "3.8" (
  set "wheel_url=https://pytorch-geometric.com/whl/torch-1.8.0+cu111/torch_sparse-0.6.10-cp38-cp38-win_amd64.whl"
)
IF "%PY_VER%" == "3.9" (
  set "wheel_url=https://pytorch-geometric.com/whl/torch-1.8.0+cu111/torch_sparse-0.6.10-cp39-cp39-win_amd64.whl"
)

if "%wheel_url%" == "" (
    echo Unsupported Python version %PY_VER%.
    exit 1
)

%PYTHON% -m pip install --no-deps %wheel_url% -vv
if errorlevel 1 exit 1
